mirror of
https://github.com/NixOS/nixpkgs.git
synced 2024-11-17 23:36:17 +01:00
elasticsearch: drop 1.7.2 (not supported upstream)
This commit is contained in:
parent
29387fbbe9
commit
f644675bc9
2 changed files with 0 additions and 77 deletions
|
@ -1,40 +0,0 @@
|
|||
{ stdenv, fetchurl, makeWrapper, jre, utillinux }:
|
||||
|
||||
with stdenv.lib;
|
||||
|
||||
stdenv.mkDerivation rec {
|
||||
name = "elasticsearch-1.7.2";
|
||||
|
||||
src = fetchurl {
|
||||
url = "https://download.elastic.co/elasticsearch/elasticsearch/${name}.tar.gz";
|
||||
sha256 = "1lix4asvx1lbc227gzsrws3xqbcbqaal7v10w60kch0c4xg970bg";
|
||||
};
|
||||
|
||||
patches = [ ./es-home.patch ];
|
||||
|
||||
buildInputs = [ makeWrapper jre utillinux ];
|
||||
|
||||
installPhase = ''
|
||||
mkdir -p $out
|
||||
cp -R bin config lib $out
|
||||
|
||||
# don't want to have binary with name plugin
|
||||
mv $out/bin/plugin $out/bin/elasticsearch-plugin
|
||||
|
||||
# set ES_CLASSPATH and JAVA_HOME
|
||||
wrapProgram $out/bin/elasticsearch \
|
||||
--prefix ES_CLASSPATH : "$out/lib/${name}.jar":"$out/lib/*":"$out/lib/sigar/*" \
|
||||
--prefix PATH : "${utillinux}/bin" \
|
||||
--set JAVA_HOME "${jre}"
|
||||
wrapProgram $out/bin/elasticsearch-plugin \
|
||||
--prefix ES_CLASSPATH : "$out/lib/${name}.jar":"$out/lib/*":"$out/lib/sigar/*" \
|
||||
--set JAVA_HOME "${jre}"
|
||||
'';
|
||||
|
||||
meta = {
|
||||
description = "Open Source, Distributed, RESTful Search Engine";
|
||||
license = licenses.asl20;
|
||||
platforms = platforms.unix;
|
||||
maintainers = [ maintainers.offline ];
|
||||
};
|
||||
}
|
|
@ -1,37 +0,0 @@
|
|||
diff -rupN a/bin/elasticsearch b/bin/elasticsearch
|
||||
--- a/bin/elasticsearch 2015-08-05 17:52:05.740819671 +0200
|
||||
+++ b/bin/elasticsearch 2015-08-05 17:22:34.664657364 +0200
|
||||
@@ -83,7 +83,10 @@ while [ -h "$SCRIPT" ] ; do
|
||||
done
|
||||
|
||||
# determine elasticsearch home
|
||||
-ES_HOME=`dirname "$SCRIPT"`/..
|
||||
+if [ -z "$ES_HOME" ]; then
|
||||
+ echo "You must set the ES_HOME var" >&2
|
||||
+ exit 1
|
||||
+fi
|
||||
|
||||
# make ELASTICSEARCH_HOME absolute
|
||||
ES_HOME=`cd "$ES_HOME"; pwd`
|
||||
diff -rupN a/bin/plugin b/bin/plugin
|
||||
--- a/bin/plugin 2015-08-05 17:57:07.903088815 +0200
|
||||
+++ b/bin/plugin 2015-08-05 17:57:38.979808139 +0200
|
||||
@@ -16,7 +16,10 @@ while [ -h "$SCRIPT" ] ; do
|
||||
done
|
||||
|
||||
# determine elasticsearch home
|
||||
-ES_HOME=`dirname "$SCRIPT"`/..
|
||||
+if [ -z "$ES_HOME" ]; then
|
||||
+ echo "You must set the ES_HOME var" >&2
|
||||
+ exit 1
|
||||
+fi
|
||||
|
||||
# make ELASTICSEARCH_HOME absolute
|
||||
ES_HOME=`cd "$ES_HOME"; pwd`
|
||||
@@ -105,4 +105,4 @@
|
||||
|
||||
export HOSTNAME=`hostname -s`
|
||||
|
||||
-eval "$JAVA" $JAVA_OPTS $ES_JAVA_OPTS -Xmx64m -Xms16m -Delasticsearch -Des.path.home=\""$ES_HOME"\" $properties -cp \""$ES_HOME/lib/*"\" org.elasticsearch.plugins.PluginManager $args
|
||||
\ No newline at end of file
|
||||
+eval "$JAVA" $JAVA_OPTS $ES_JAVA_OPTS -Xmx64m -Xms16m -Delasticsearch -Des.path.home="$ES_HOME" $properties -cp "$ES_CLASSPATH/lib/*" org.elasticsearch.plugins.PluginManager $args
|
Loading…
Reference in a new issue